<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Bank extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        if ($this->session->userdata('pbb') <> 1) {
            $this->session->set_flashdata('notif', '<div class="badge">
                    Silahkan login dengan username dan password anda.</p>
                    </div>');
            redirect('auth');
        }
        $this->load->model('Mbank');
        $this->load->library('form_validation');
        $this->load->library('datatables');
    }

    public function index()
    {
        $this->template->load('template', 'bank/bank_list');
    }

    public function json()
    {
        header('Content-Type: application/json');
        echo $this->Mbank->json();
    }



    public function create()
    {
        $data = array(
            'button'     => 'Tambah Bank',
            'action'     => site_url('bank/create_action'),
            'ID' => set_value('ID'),
            'NAMA_BANK' => set_value('NAMA_BANK'),
            'KODE_BANK' => set_value('KODE_BANK'),
        );
        $this->template->load('template', 'bank/bank_form', $data);
    }

    public function create_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
                'NAMA_BANK' => $this->input->post('NAMA_BANK', TRUE),
                'KODE_BANK' => $this->input->post('KODE_BANK', TRUE),
            );

            $this->Mbank->insert($data);
            // $this->db->query("commit");
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('bank'));
        }
    }

    public function update($id)
    {
        $row = $this->Mbank->get_by_id($id);

        if ($row) {
            $data = array(
                'button'     => 'Update Group ',
                'action'     => site_url('bank/update_action'),
                'ID' => set_value('ID', $row->ID),
                'NAMA_BANK' => set_value('NAMA_BANK', $row->NAMA_BANK),
                'KODE_BANK' => set_value('KODE_BANK', $row->KODE_BANK),
            );
            $this->template->load('template', 'bank/bank_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('bank'));
        }
    }

    public function update_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('kode_group', TRUE));
        } else {
            $data = array(
                'NAMA_BANK' => $this->input->post('NAMA_BANK', TRUE),
                'KODE_BANK' => $this->input->post('KODE_BANK', TRUE),
            );

            $this->Mbank->update($this->input->post('ID', TRUE), $data);
            $this->db->query("commit");
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('bank'));
        }
    }

    public function delete($id)
    {
        $row = $this->Mbank->get_by_id($id);

        if ($row) {
            $this->Mbank->delete($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('bank'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('bank'));
        }
    }

    public function _rules()
    {
        $this->form_validation->set_rules('NAMA_BANK', 'nama bank', 'trim|required');
        $this->form_validation->set_rules('KODE_BANK', 'kode bank', 'trim|required');
        $this->form_validation->set_rules('ID', 'ID', 'trim');
        $this->form_validation->set_error_delimiters('<span class="label label-danger ">', '</span>');
    }

    function test()
    {
        $rk = $this->db->query("select * from p_group")->result();
        echo "<pre>";
        print_r($rk);
        echo "<pre>";
    }
}

/* End of file Group.php */
/* Location: ./application/controllers/Group.php */
/* Generated by Mohamad Wahyu Dewantoro 2017-04-28 01:25:45 */
